API references
Search documentation... ⌘K
API references
Merchant API

List Monthly Billing Archives

Returns a paginated list of monthly billing archives for the authenticated merchant.

The response includes cursor-based pagination with previous and next cursors that can be used to navigate through the payment history.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/list-monthly-billing-archives HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
per_page: number?,
after: string?,
before: string?,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started. Note that this endpoint returns a paginated response, see the Pagination section of the same guide.
Request arguments
per_page number

Optional. Number of archives to return per page (default: 25)

after string

Optional. Cursor for pagination - return archives for months before this month

before string

Optional. Cursor for pagination - return archives for months after this month

Response attributes
Attribute Description
previous
object

Cursor for the previous page. Contains 'before' (ID) and 'perpage' (page size) parameters. Use these values in the 'before' and 'perpage' parameters of the next request to get the previous page.

page
array

The current page of records, ordered by creation date (newest first).

next
object

Cursor for the next page. Contains 'after' (ID) and 'perpage' (page size) parameters. Use these values in the 'after' and 'perpage' parameters of the next request to get the next page.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.